<?php //require_once('Connections/loi.php'); ?>
 <?php

if(isset($_POST['VALIDER']))
{
	ini_set('SMTP','smtp.aviso.ci');
  if($_POST['nom']!=''   || $_POST['tel2']!='' || $_POST['tel']!='' || $_POST['email']!=''  || $_POST['info']!=''|| $_POST['tel4'] )
  {
  //Verif email Si l'adresse email semble etre valide -----------------
  $mess = ($_POST['info']);
  $email = ($_POST['mail']); 
  $point = strpos($email,".");//Verif si l'email contient un point
  $aroba = strpos($email,"@");//Verif si l'email contient un arobase
  $desti = 'info@belem-tours.com ';
  
  $exp_reg_email = "^[a-z0-9]+((\.|-|_)[a-z0-9]+)*@[a-z0-9]+((\.|-|_)[a-z0-9]+)*(\.([a-z]){2,4})$"; // caracteres non admis dans un email
  $exp_reg_email='`^[[:alnum:]]([-_.]?[[:alnum:]])*@[[:alnum:]] 
([-_.]?[[:alnum:]])*\.([a-z]{2,4})$`';
  if ($point=='')
  {
  echo "<script language='javascript'>window.alert('Votre email doit comporter un point')</script>";
   echo "<script language='javascript'>document.location='contacts.php'</script>";// On renvoi l'internaute a la page de contact
  
  }
  else if ($aroba=='') 
  {
   echo "<script language='javascript'>window.alert('Votre email doit comporter un -- @ --')</script>";
   echo "<script language='javascript'>document.location='contacts.php'</script>"; 
  }

  else if(($email != "") && (preg_match($exp_reg_email, $email))) // si il existe un caractere non admis
  { 
   echo "<script language='javascript'>window.alert('e-mail non valide, il contient un ou plusieurs carateres non admis.</script>";
   echo "<script language='javascript'>document.location='contact88.php'</script>"; 
  }
  
  else // Si toutes les conditions sont reunis
  {
  $date = date("d-M-Y H:i:S") ;
  
  //Contenu de l'email de confirmation
  
  $message = 'CONTACTS <br><br>';
   $message .= 'NOM:'.$_POST['nom'].'<br> ';
 $message .= 'PAYS:'.$_POST['tel4'].'<br> ';
  
  
  
  $message .= 'TELEPHONE:'.$_POST['tel'].'<br> ';
  $message .= ' EMAIL:<b>'.$_POST['mail'].'<br>
     '.$date.' <br>
     Objet :'.$_POST['tel2'].'</b><br><br><br>';
  $message .= '/-------------------------------------------------------------------------/<br><br>';
  
  $message .= '<br> LE MESSAGE:<br>'.$mess.'<br><br>';
  
  
  $message .= '/-------------------------------------------------------------------------/';

  //Entete  
  $entete = "MIME-Version: 1.0\r\n";
  $entete .= "Content-type: text/html; charset=iso-8859-1\r\n";
  $entete .= "From:  ".$_POST['nom']." - <".$_POST['mail']."> - contact a partir du site www.belem-tours.com \r\n";
  $entete .= "Reply-To: ".$_POST['mail']."\r\n";    
  
  $date = date("Y-m-d"); //Date du jour
  
  //Envoi du mail 
  $objet = $_POST['tel2'];
  $envoi_mail=mail($desti,$objet, $message, $entete);
   if($envoi_mail)
   {
   
   echo "<script language='javascript'>window.alert('Merci Pour votre message. Nous vous repondrons dans un bref délai.')</script>";// Ou tout autre message du meme genre 
   echo "<script language='javascript'>document.location='index.php'</script>"; 
   }
   else
   {
   echo "<script language='javascript'>window.alert('Message non envoyé !! Merci de recommencer.')</script>";
   echo  "<script language='javascript'>document.location='contacts.php'</script>";   
   }   
  }
  }
  else
  {
  echo "<script language='javascript'>window.alert('Formulaire mal renseigne.')</script>";
  echo "<script language='javascript'>document.location='contacts.php'</script>"; //retour a l'accueil
  }
}
else
{
header("Location:index.php");//retour a l'accueil

}
?>